package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 管理员公出审核人表(AdminPublicReviewer)实体类
 *
 * @author makejava
 * @since 2024-07-09 14:28:07
 */
public class AdminPublicReviewer implements Serializable {
    private static final long serialVersionUID = -18188164635821727L;

    private Integer id;
/**
     * 人员编号
     */
    private String aid;
/**
     *  审核类型 0=公出审核人列表，1=协单审核人,2=上级，3=抄送
     */
    private Integer type;
/**
     * 审核人编号
     */
    private String reviewerId;
/**
     * 创建时间
     */
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getReviewerId() {
        return reviewerId;
    }

    public void setReviewerId(String reviewerId) {
        this.reviewerId = reviewerId;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

